<div class="ui modal form">
  <i class="close icon"></i>
  <div class="header">
    Editar
  </div>
  <div class="content">
    <%= form_for @room, url: admin_academic_virtual_room_virtual_room_path, remote: true do |form| %>

      <%= error_message(@room) %>

      <div class="ui two column stackable grid">
        <div class="six wide column">
          <strong>Grupo</strong>
          <%= form.select(:group_id,
                          Admin::Academic::Group::Group.all.collect {|group| [group.name.upcase, group.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'searchDropdown ui fluid search selection dropdown'}) %>
        </div>
        <div class="ten wide column">
          <strong>Docente</strong>
          <%= form.select(:teacher_id,
                          Admin::User::User.where(role_id: 2).collect {|teacher| ["#{teacher.identification_number.upcase} - #{teacher.full_name.titleize}", teacher.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'teacherSearchDropdown ui fluid search selection dropdown'}) %>
        </div>
      </div>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Materia</strong>
          <%= form.select(:subject_id,
                          Admin::Academic::Subject::Subject.all.collect {|subject| ["#{subject.career_name(subject)}", subject.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'searchDropdown ui fluid search selection dropdown'}) %>
        </div>
      </div>

      <div data-controller="nested-form">
        <div class="ui one column stackable grid">
          <div class="column">
            <h3>Fechas</h3>
          </div>
        </div>

        <div class="hr-divider"></div>

        <template data-target="nested-form.template">
          <%= form.fields_for :dates, Admin::Academic::Class::ClassDate.new, child_index: 'TEMPLATE_RECORD' do |date| %>
            <%= render 'admin/academic/virtual_room/virtual_rooms/forms/create_dates', form: date %>
          <% end %>
        </template>

        <%= form.fields_for :dates do |date| %>
          <%= render 'admin/academic/virtual_room/virtual_rooms/forms/create_dates', form: date %>
        <% end %>

        <div data-target="nested-form.add_task" style="position: absolute; right: 1.3rem; top: 17rem">
          <%= link_to "Agregar", '#', data: { action: "nested-form#add_association" }, class: 'nested-add-field-button ui blue button' %>
        </div>

      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button', data: {confirm: '¿Esta seguro de esta información?'} %>
        </div>
      </div>

    <% end %>
  </div>

</div>

<script>
  $('.dropdown').dropdown()
  $('.searchDropdown').dropdown({showOnFocus: false, clearable: true, placeholder: 'Seleccione una opción', minCharacters: 3});
  $('.teacherSearchDropdown').dropdown({showOnFocus: false, fullTextSearch: true, clearable: true, placeholder: 'Seleccione una opción', minCharacters: 3});
</script>
